
.blog-inner-banner {
    height: 450px;
}

.blog-inner-banner .banner-text {
    height: 100%;
    top: 80px;
}

.breadcrumb {
    justify-content: center;
}

.breadcrumb .breadcrumb-item {
    color: var(--color-ffffff);
    font-size: var(--font-size-19);
    font-weight: 400;
}

.breadcrumb .breadcrumb-item a {
    color: var(--color-ffffff);
    font-size: var(--font-size-19);
    font-weight: 400;
}

.blog-listing-section {
    position: relative;
}
.key-blog-section .col-lg-4.col-md-4.col-12 {
    margin-bottom: 30px;
}
.blog-card {
    position: relative;
    background: #f2f7ff;
    border-radius: 18px;
    overflow: hidden;
    transition: all 0.4s ease;
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.06);
    height: 100%;
    border: 1px solid rgba(0, 0, 0, 0.05);
}

.blog-card:hover {
    transform: translateY(-10px);
    box-shadow: 0 18px 40px rgba(0, 0, 0, 0.12);
}

.blog-card-image {
    position: relative;
    overflow: hidden;
}

.blog-card-image img {
    width: 100%;
    height: 350px;
    object-fit: cover;
    transition: transform 0.5s ease;
    display: block;
}

.blog-card:hover .blog-card-image img {
    transform: scale(1.08);
}
.blog-tag a{
    color:#fff;
}
.blog-tag {
    position: absolute;
    top: 20px;
    left: 20px;
    background: #f57a2c;
    color: #ffffff!important;
    font-size: var(--font-size-14);
    font-weight: var(--font-weight-Medium);
    padding: 7px 14px;
    border-radius: 30px;
    z-index: 2;
    letter-spacing: 0.3px;
}

.blog-card-content {
    padding: 20px 20px;
}

.blog-meta {
    margin-bottom: 15px;
}

.blog-meta span {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    color: var(--color-a49f9f);
    font-size: var(--font-size-14);
    font-weight: var(--font-weight-Medium);
}

.blog-meta span img {
    width: 18px;
    object-fit: contain;
}

.blog-title {
    color: var(--color-ffffff);
    font-size: var(--font-size-22);
    line-height: var(--line-height-22);
    font-weight: var(--font-weight-Medium);
    margin-bottom: 15px;
}

.blog-title a {
    color: #282828;
    text-decoration: none;
    transition: all 0.3s ease;
    display: -webkit-box;
    -webkit-line-clamp: 2; /* Show only 2 lines */
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.blog-card:hover .blog-title a {
    color: var(--color-f57a2c);
}

.blog-desc {
    color: #9c9c9c;
    font-size: var(--font-size-14);
    line-height: 1.8;
    margin-bottom: 15px;
    display: -webkit-box;
    line-clamp: 3;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    /* min-height: 80px; */
}

.blog-readmore {
    display: inline-flex;
    align-items: center;
    gap: 10px;
    color: var(--color-f57a2c);
    font-size: var(--font-size-16);
    line-height: var(--line-height-14);
    font-weight: var(--font-weight-Medium);
    text-decoration: none;
    transition: all 0.3s ease;
}

.blog-card:hover .blog-readmore {
    color: var(--color-f1da70);
}

.blog-pagination {
    margin-top: 60px;
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 5px;
}

.page-numbers {
    width: 40px;
    height: 40px;
    border-radius: 12px;
    background: var(--color-ffffff);
    display: flex;
    align-items: center;
    justify-content: center;
    color: #111111;
    font-size: var(--font-size-16);
    font-weight: var(--font-weight-Regular);
    text-decoration: none;
    transition: all 0.35s ease;
    box-shadow: 0 5px 20px rgba(0, 0, 0, 0.04);
}

.page-numbers img {
    width: 20px;
    height: 20px;
    object-fit: contain;
}

.blog-pagination .next,
.blog-pagination .prev {
    font-size: var(--font-size-16);
    font-weight: var(--font-weight-Regular);
    color: #111111;
}

.page-numbers:hover {
    background: var(--color-f57a2c);
    color: var(--color-ffffff);
    transform: translateY(-2px);
}

.page-numbers.current {
    background: var(--color-f57a2c);
    color: var(--color-ffffff);
}

/* blog-section */
.blog-details-wrapper {
    background: #f3f8ff;
    border-radius: 20px;
    overflow: hidden;
    padding: 30px 30px;
}

.blog-details-image {
    overflow: hidden;
    border-radius: 20px;
    margin-bottom: 35px;
}

.blog-details-image img {
    width: 100%;
    height: 500px;
    object-fit: cover;
    display: block;
}

.blog-details-meta {
    display: flex;
    flex-wrap: wrap;
    align-items: center;
    gap: 20px;
    margin-bottom: 20px;
}

.blog-details-meta span {
    display: inline-flex;
    align-items: center;
    gap: 8px;
    color: #282828;
    font-size: 15px;
    font-weight: 500;
}
.blog-details-meta span a{
    color: #fff;
}

.blog-details-meta span span {
    color: #f57a2c;
}

.blog-meta span span {
    color: #f57a2c;
}

.blog-details-meta span img {
    width: 20px;
    object-fit: contain;

}

.blog-category {
    background: var(--color-f57a2c);
    color: var(--color-ffffff)!important;
    padding: 8px 16px;
    border-radius: 30px;
    font-size: var(--font-size-14);
}

.blog-details-content p {
    font-size: var(--font-size-16);
    line-height: var(--line-height-19);
    /* color: #6c757d; */
    margin-bottom: 20px;
}

.blog-details-content ul,
.blog-details-content ol {
    margin-bottom: 15px;
    margin-left: 30px;
}
.blog-details-content ul li::marker {
    color: #f57a2c;
}
.blog-details-content ul li {
    font-size: var(--font-size-16);
    line-height: var(--line-height-16);
    /* color: #f57a2c; */
    margin-bottom: 10px;
    list-style: square;
}

.blog-details-content ol li {
    font-size: var(--font-size-16);
    line-height: var(--line-height-16);
    color: #d2d2d2;
    margin-bottom: 10px;
    list-style: decimal;
}

.blog-details-wrapper .blog-details-title {
    font-size: 35px;
    line-height: 48px;
    margin-bottom: 30px;
    font-weight: var(--font-weight-Medium);
    color: #282828;
}

.blog-details-content h2 {
    font-size: var(--font-size-30);
    line-height: normal;
    margin-bottom: 20px;
    margin-top: 30px;
    color: #2828828;
}

.blog-details-content h3 {
    font-size: 24px;
    line-height: 34px;
    margin-bottom: 15px;
    margin-top: 15px;
    color: var(--color-ffffff);
}

.blog-details-content h4 {
    font-size: 22px;
    line-height: 32px;
    margin-bottom: 15px;
    margin-top: 15px;
    color: var(--color-ffffff);
}

.blog-details-content h5 {
    font-size: 20px;
    line-height: 30px;
    margin-bottom: 15px;
    margin-top: 15px;
    color: var(--color-ffffff);
}

.blog-details-content blockquote {
    background: #fff4ed;
    border-left: 4px solid var(--color-f57a2c);
    padding: 20px 20px;
    border-radius: 12px;
    font-size: var(--font-size-16);
    line-height: var(--line-height-19);
    font-weight: var(--font-weight-Light);
    color: var(--color-000000);
    margin: 20px 0;
}

.blog-details-content blockquote p {
    margin: 0;
    font-size: var(--font-size-16);
    line-height: var(--line-height-19);
    color: var(--color-000000);
    font-weight: var(--font-weight-Light);
}

.blog-details-content p a {
    color: var(--color-f57a2c);
}

.blog-inner-image {
    margin: 35px 0;
    border-radius: 18px;
    overflow: hidden;
}

.blog-inner-image img {
    width: 100%;
    border-radius: 18px;
}

.blog-list {
    padding-left: 20px;
    margin-bottom: 30px;
}

.blog-list li {
    margin-bottom: 12px;
    color: var(--color-ffffff);
    line-height: 1.8;
    list-style: square;
}

.blog-tags-share {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 20px;
    padding-top: 20px;
    margin-top: 20px;
    border-top: 1px solid rgb(61 61 61);
}

.blog-tags,
.blog-share {
    display: flex;
    align-items: center;
    gap: 12px;
    flex-wrap: wrap;
}

.blog-tags h5,
.blog-share h5 {
    margin-bottom: 0;
    font-size: var(--font-size-18);
    color: var(--color-f57a2c);
}

.blog-tags a {
    background: #f5f5f5;
    color: #111111;
    padding: 8px 16px;
    border-radius: 30px;
    font-size: 13px;
    text-decoration: none;
    transition: all 0.3s ease;
}

.blog-tags a:hover {
    background: var(--color-f57a2c);
    color: var(--color-ffffff);
}

.blog-sidebar {
    padding-left: 20px;
    position: sticky;
    top: 10px;
    z-index: 11;
}

.blog-sidebar .sidebar-title {
    font-size: var(--font-size-22);
    line-height: var(--line-height-22);
    color: #f57a2c;
    font-weight: var(--font-weight-Medium);
    margin-bottom: 20px;
    text-transform: uppercase;
    border-bottom: 1px solid rgb(61 61 61);
    padding-bottom: 10px;
    margin-bottom: 20px;
}

.sidebar-widget {
    background: #f3f8ff;
    padding: 30px;
    border-radius: 18px;
    margin-bottom: 30px;
    box-shadow: 0 8px 30px rgba(0, 0, 0, 0.05);
}

.category-list {
    padding: 0;
    margin: 0;
    list-style: none;
}

.category-list li {
    border-bottom: 1px solid rgba(0, 0, 0, 0.06);
}

.category-list li:last-child {
    border-bottom: 0;
}

.category-list li a {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 16px 0;
    color: #282828;
    text-decoration: none;
    transition: all 0.3s ease;
}

.category-list li a:hover {
    color: var(--color-f57a2c);
    padding-left: 8px;
}

.recent-post {
    display: flex;
    gap: 15px;
    margin-bottom: 20px;
}

.recent-post:last-child {
    margin-bottom: 0;
}

.recent-post-image img {
    width: 90px;
    height: 90px;
    object-fit: cover;
    border-radius: 12px;
}

.recent-post-content span {
    font-size: var(--font-size-14);
    color: #000;
    line-height: var(--line-height-14);
}

.recent-post-content h6 {
    font-size: var(--font-size-16);
    line-height: var(--line-height-16);
    margin-bottom: 5px;
    margin-top: 5px;
}

.recent-post-content h6 a {
    color: var(--color-ffffff);
    text-decoration: none;
    transition: all 0.3s ease;
    color: #9c9c9c;
    font-size: var(--font-size-16);
    line-height: var(--line-height-16);
    display: -webkit-box;
    line-clamp: 2;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
}

.recent-post-content h6 a:hover {
    color: var(--color-f57a2c);
}

@media (max-width: 991px) {
    :root {
    --font-size-19: 16px;
    }
    .blog-card-image img,.blog-details-image img {
    width: 100%;
    height: auto;
    }
    .blog-details-wrapper .blog-details-title {
        font-size: 22px;
        margin-bottom: 10px;
    } 
    
    .blog-details-wrapper {
    border-radius: 12px;
    padding: 12px;
}
.blog-sidebar {
    padding-left: 0;
    margin-top: 30px;
}
.blog-details-image {
    overflow: hidden;
    border-radius: 12px;
    margin-bottom: 20px;
}
    
    
}